# $Revision: 1.9 $, $Date: 2004/06/02 01:31:09 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	POE
%define	pnam	Session-MultiDispatch
Summary:	POE::Session::MultiDispatch - callback dispatch for session events
Summary(pl):	POE::Session::MultiDispatch - wysyanie callbacka dla zdarze sesji
Name:		perl-POE-Session-MultiDispatch
Version:	1.3
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	59b2e2614c3a048d4ad5d0bd87ecd044
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-POE
BuildRequires:	perl-Test-Simple
%endif
Requires:	perl-POE
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
POE::Session::MultiDispatch is a drop in replacement for POE::Session
that adds callback dispatch functionality to POE sessions. Each event
may have multiple handlers associated with it. Fine control over the
order of execution is available using helper methods that extend the
interface of a POE::Session.

%description -l pl
POE::Session::MultiDispatch to zamiennik POE::Session dodajcy
funkcjonalno wysyania callbackw do sesji POE. Kade zdarzenie moe
mie wiele powizanych ze sob funkcji obsugi. Dostpna jest dobra
kontrola nad kolejnoci wykonywania przy uyciu metod pomocniczych
rozszerzajcych interfejs POE::Session.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Session-MultiDispatch.spec,v $
Revision 1.9  2004/06/02 01:31:09  ankry
- R: perl-POE - it is not autodetected, rel. 2

Revision 1.8  2004/05/06 18:20:53  ankry
- fixed perl-devel BR

Revision 1.7  2004/04/27 15:26:25  ankry
- new bconds

Revision 1.6  2004/04/15 08:54:06  ankry
- summary cosmetics

Revision 1.5  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.4  2003/08/27 22:15:21  qboosh
- pl

Revision 1.3  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.2  2003/08/19 16:21:20  radek
- added forgotten Source0-md5

Revision 1.1  2003/08/19 16:19:23  radek
- new
